### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# xmpmc_selftest.c File Reference

## Detailed Description

The implementation of the XMpmc component's functionality that is related to self test. See xmpmc.h for more information about the component.

Note:
  None.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a mta  02/22/07 First release

## Functions
int | XMpmc_SelfTest (XMpmc *InstancePtr)

## Function Documentation

int XMpmc_SelfTest | ( | XMpmc * | InstancePtr | ) |

  | Perform a self-test on the MPMC device. Self-test will read, write and verify that some of the registers of the device are functioning correctly. This function will restore the state of the device to state it was in prior to the function call. Parameters:
  | InstancePtr | is the MPMC component to operate on.
Returns: XST_SUCCESS if successful else XST_FAILURE. Note: None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.